import { Options } from '../types/Options';
import { TSESLint } from '@typescript-eslint/experimental-utils';
type Context = Readonly<TSESLint.RuleContext<"pathEnforce", [Options]>>;
export declare class Target {
    private readonly _context;
    private readonly _importSourcePath;
    constructor(context: Context, importSourcePath: string);
    get filePath(): string;
    get importSourcePath(): string;
    get importFilePath(): string;
    get isRelative(): boolean;
    get isOutsideTopLevel(): boolean;
    get isProximityRelationship(): boolean;
    get importAbsolutePath(): string;
    get importRelativePath(): string;
    get isNodeModule(): boolean;
    private get options();
    private get rootDir();
    private get prefix();
    private get ignoreTopLevel();
    private get maxDepth();
    private get projectRoot();
}
export {};
